
Foreman - Bug #7009

N+1 hosts query in dashboard page

08/10/2014 04:57 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 1.6.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1670

  

Description

when browsing the dashboard page, the following was observed in the logs:

  Report Load (11.1ms)  SELECT "reports".* FROM "reports" WHERE (status <> 0) AND (("reports"."rep

orted_at" >= '2014-08-04')) ORDER BY "reports"."reported_at" DESC NULLS LAST LIMIT 6

  Host::Managed Load (0.4ms)  SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host::Manage

d') AND "hosts"."id" = 13 LIMIT 1

  Host::Managed Load (0.4ms)  SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host::Manage

d') AND "hosts"."id" = 20 LIMIT 1

  Host::Managed Load (0.4ms)  SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host::Manage

d') AND "hosts"."id" = 27 LIMIT 1

  Host::Managed Load (0.7ms)  SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host::Manage

d') AND "hosts"."id" = 29 LIMIT 1

  Host::Managed Load (0.3ms)  SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host::Manage

d') AND "hosts"."id" = 35 LIMIT 1

  Host::Managed Load (0.3ms)  SELECT "hosts".* FROM "hosts" WHERE "hosts"."type" IN ('Host::Manage

d') AND "hosts"."id" = 6 LIMIT 1

...

  Rendered dashboard/_reports_widget.html.erb (143.1ms)

Related issues:

Related to Foreman - Bug #5841: Foreman dashboard slow in 1.5 for non admin u... Closed 05/20/2014

Associated revisions

Revision 9f1c910a - 08/18/2014 09:42 AM - Ohad Levy

fixes #7009, N+1 (actually 6+1) queries in dashboard page

Revision 1dbf336f - 08/27/2014 08:02 AM - Ohad Levy

fixes #7009, N+1 (actually 6+1) queries in dashboard page

(cherry picked from commit 9f1c910aecc2436da757f33380a38cf6cc3744e7)

History

#1 - 08/10/2014 04:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1670 added

- Pull request deleted ()

#2 - 08/11/2014 03:37 AM - Dominic Cleal

- Related to Bug #5841: Foreman dashboard slow in 1.5 for non admin users added

#3 - 08/18/2014 07:01 AM - Dominic Cleal
- translation missing: en.field_release set to 10

#4 - 08/18/2014 10:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9f1c910aecc2436da757f33380a38cf6cc3744e7.
